import { CSSResultArray, TemplateResult } from 'lit';
import NileElement from '../internal/nile-element';
/**
 * Nile filter-chip component.
 *
 * @tag nile-filter-chip
 */
export declare class NileFilterChip extends NileElement {
    label: string;
    value: string;
    viewMoreCount: number;
    editable: boolean;
    closable: boolean;
    icon: string;
    removeIcon: string;
    active: boolean;
    disabled: boolean;
    private static activeChips;
    static get styles(): CSSResultArray;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private registerChip;
    private unregisterChip;
    private handleClose;
    private handleClick;
    private getLabelSlot;
    private getValueSlot;
    private getviewMoreCountSlot;
    private getCloseIconSlot;
    render(): TemplateResult;
}
export default NileFilterChip;
declare global {
    interface HTMLElementTagNameMap {
        'nile-filter-chip': NileFilterChip;
    }
}
